<?php
error_reporting(0);
// настройка доступа к базе
define ('DB_HOST', 'localhost');
define ('DB', 'db_forums');
define ('USER_DB', 'db_forums');
define ('PASS_DB', '211gnshl');
//----------
if(strpos($_SERVER['HTTP_USER_AGENT'], "'") !== false) die();
if(substr($_SERVER['HTTP_USER_AGENT'], 0 , 7) == "SamSunf") die();
if(preg_match("'Nokia(\d{3})/'", $_SERVER['HTTP_USER_AGENT'])) die();
//----------
function connect_to_db()
{
	// настройка доступа к базе
	@mysql_connect (DB_HOST, USER_DB, PASS_DB) or die ('Sorry!'); @mysql_query ("SET NAMES `utf8`");
	@mysql_select_db (DB) or die ('Sorry!');
}

$REMOTE_ADDR = htmlspecialchars(addslashes(trim(getenv("REMOTE_ADDR"))));
$HTTP_USER_AGENT = htmlspecialchars(addslashes(trim(getenv("HTTP_USER_AGENT"))));

$srand = 'test4';
$r_rand = rand(1000, 9999);

define ('ONPAGE_FOTO', 5); //кол-во фото на стр.
define ('ONPAGE_USER', 5); //кол-во юзеров на стр.
define ('ONLINE_USER', 400); //сколько сек. юзер в онлайне
define ('ONPAGE_MESS', 5); //кол-во сообщ. на стр.

// Транслит
function translit($eng_rus) {
$eng = array("Jo","Zh","Ch","Sh","Sch","Je","W","Yu","Ya","jo","zh","ch","sh","sch","je","yu","ya","''","A","B","V","G","D","E","Z","I","J","K","L","M","N","O","P","R","S","T","U","F","H","C","Y","a","b","v","g","d","e","z","i","j","k","l","m","n","o","p","r","s","t","u","f","h","c","w","'");
$rus = array("Ё","Ж","Ч","Ш","Щ","Э","Ы","Ю","Я","ё","ж","ч","ш","щ","э","ю","я","ъ","А","Б","В","Г","Д","Е","З","И","Й","К","Л","М","Н","О","П","Р","С","Т","У","Ф","Х","Ц","Ы","а","б","в","г","д","е","з","и","й","к","л","м","н","о","п","р","с","т","у","ф","х","ц","ы","ь");
$eng_rus = str_replace($eng, $rus, $eng_rus);
return $eng_rus;
}

?>